# Yahoo! UI Library

### Logger Widget 2.5.0

Yahoo! UI Library > logger > YAHOO.widget.LogMsg

Show Private Show Protected

## Class YAHOO.widget.LogMsg

The LogMsg class defines a single log message.

### Constructor

YAHOO.widget.LogMsg `( oConfigs )`

Parameters:
  `oConfigs <Object>` Object literal of configuration params.

### Properties

#### category `- String`

Log category.

#### msg `- String`

Log message.

#### source `- String`

Log source. The first word passed in as the source argument.

#### sourceDetail `- String`

Log source detail. The remainder of the string passed in as the source argument, not including the first word (if any).

#### time `- Date`

Log timestamp.

Copyright © 2007 Yahoo! Inc. All rights reserved.